The hoogle-index package

[Tags:bsd3, program]

hoogle-index is a small utility for generating indicies for local Hoogle installations.

 $ cabal install hoogle hoogle-index
 $ hoogle-index    # this will take a while

Your Hoogle index now covers all of the packages locally installed.

Properties

Versions 0.1, 0.2, 0.2.1, 0.2.2, 0.3.0, 0.3.1, 0.3.2, 0.3.3, 0.4.0, 0.4.1, 0.4.2, 0.4.3, 0.4.4
Dependencies base (>=4.6 && <4.10), bytestring (>=0.9 && <1.11), Cabal (>=1.20 && <1.23), containers (>=0.4 && <0.6), directory (==1.2.*), errors (>=2.0 && <3.0), filepath (>=1.3 && <1.5), hoogle (==4.2.*), optparse-applicative (>=0.11 && <0.13), process (>=1.2 && <1.5), temporary (==1.2.*), transformers (>=0.3 && <0.6) [details]
License BSD3
Copyright (c) 2014 Ben Gamari
Author Ben Gamari <ben@smart-cactus.org>
Maintainer Ben Gamari <ben@smart-cactus.org>
Category Documentation
Home page http://github.com/bgamari/hoogle-index
Source repository head: git clone git://github.com/bgamari/hoogle-index
Uploaded Wed Apr 13 14:22:47 UTC 2016 by BenGamari
Distributions NixOS:0.4.4
Downloads 2052 total (91 in the last 30 days)
Votes
0 []
Status Docs not available [build log]
Last success reported on 2016-04-13 [all 3 reports]
Hackage Matrix CI

Downloads

Maintainer's Corner

For package maintainers and hackage trustees